# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=efivar
pkgdesc="Tools and libraries to work with EFI variables"
pkgver=38
pkgrel=1
arch=('x86_64')
url="https://github.com/rhboot/efivar"
license=('LGPL2.1')
groups=('base')
depends=('glibc' 'mandoc')
makedepends=()
options=('!lto')
source=(https://github.com/rhboot/efivar/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(e3bbde37238bd47af1fcf270dc0ef1f4be030d86364c917b93669222ec52bbea)

prepare() {
    cd ${pkgname}-${pkgver}

    sed '/prep :/a\\ttouch prep' -i src/Makefile
}

build() {
    cd ${pkgname}-${pkgver}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} LIBDIR=/usr/lib64 install
}
